package com.fzm.mall.server.admin.goods_center.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.goods_center.entity.dto.CategoryDTO;
import com.fzm.mall.server.admin.goods_center.entity.dto.CategorySaveDTO;
import com.fzm.mall.server.admin.goods_center.entity.dto.CategoryUpdateDTO;
import com.fzm.mall.server.admin.goods_center.model.Category;

import java.util.List;

/**
 * <p>
 * 商品类别 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-03-04
 */
public interface ICategoryService extends IService<Category> {

    void save(CategorySaveDTO categorySaveDTO);

    void update(CategoryUpdateDTO categoryUpdateDTO);

    void delete(String categoryId);

    List<CategoryDTO> treeList();

    /**
     * 根据类目id查询类目
     *
     * @param categoryId 类目id
     * @return 类目
     */
    Category getById(String categoryId);

    List<Category> listByCoupon(String couponId, String merchantId);

    List<Category> listByPromotion(String promotionId, String merchantId);

    List<Category> listByReturn(String returnId);

}
